ablog.settings Namespace Reference

## Variables

| BASE_DIR = Path(__file__).resolve().parent.parent
string | SECRET_KEY = 'bdx=b5ko@sdfr!347*hhrn9v@l-7(n+a@k=yj$()zhd(5@&7kw'
bool | DEBUG = True
list | ALLOWED_HOSTS = []
list | INSTALLED_APPS
list | MIDDLEWARE
string | ROOT_URLCONF = 'ablog.urls'
list | TEMPLATES
string | WSGI_APPLICATION = 'ablog.wsgi.application'
dictionary | DATABASES
list | AUTH_PASSWORD_VALIDATORS
string | LANGUAGE_CODE = 'en-us'
string | TIME_ZONE = 'UTC'
bool | USE_I18N = True
bool | USE_L10N = True
bool | USE_TZ = True
string | STATIC_URL = 'theblog/static/'
string | LOGIN_REDIRECT_URL = "home"
string | LOGOUT_REDIRECT_URL = "home"

## Detailed Description

    Django settings for ablog project.

    Generated by 'django-admin startproject' using Django 3.1.2.

    For more information on this file, see
    https://docs.djangoproject.com/en/3.1/topics/settings/

    For the full list of settings and their values, see
    https://docs.djangoproject.com/en/3.1/ref/settings/

## Variable Documentation

## AUTH_PASSWORD_VALIDATORS

list ablog.settings.AUTH_PASSWORD_VALIDATORS

Initial value:
= [
#{
# 'NAME': 'django.contrib.auth.password_validation.UserAttributeSimilarityValidator',
#},
# {
# 'NAME': 'django.contrib.auth.password_validation.MinimumLengthValidator',
# },
# {
# 'NAME': 'django.contrib.auth.password_validation.CommonPasswordValidator',
# },
# {
# 'NAME': 'django.contrib.auth.password_validation.NumericPasswordValidator',
# },
]

## DATABASES

dictionary ablog.settings.DATABASES

Initial value:
= {
'default': {
'ENGINE': 'django.db.backends.sqlite3',
'NAME': BASE_DIR / 'db.sqlite3',
}
}

## INSTALLED_APPS

list ablog.settings.INSTALLED_APPS

Initial value:
= [
'django.contrib.admin',
'django.contrib.auth',
'django.contrib.contenttypes',
'django.contrib.sessions',
'django.contrib.messages',
'django.contrib.staticfiles',
'theblog',
'users',
]

## MIDDLEWARE

list ablog.settings.MIDDLEWARE

Initial value:
= [
'django.middleware.security.SecurityMiddleware',
'django.contrib.sessions.middleware.SessionMiddleware',
'django.middleware.common.CommonMiddleware',
'django.middleware.csrf.CsrfViewMiddleware',
'django.contrib.auth.middleware.AuthenticationMiddleware',
'django.contrib.messages.middleware.MessageMiddleware',
'django.middleware.clickjacking.XFrameOptionsMiddleware',
]

## TEMPLATES

list ablog.settings.TEMPLATES

Initial value:
= [
{
'BACKEND': 'django.template.backends.django.DjangoTemplates',
'DIRS': [],
'APP_DIRS': True,
'OPTIONS': {
'context_processors': [
'django.template.context_processors.debug',
'django.template.context_processors.request',
'django.contrib.auth.context_processors.auth',
'django.contrib.messages.context_processors.messages',
],
},
},
]